package db.model;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "datasource")
public class DataSourceModel {
    private String dbId;
    private String hostname;
    private int dbPort;
    private String username;
    private String dbPassword;
    private String dbName;
    private String annotation;
    private String dbDesc;

    @Id
    @Column(name = "db_id", nullable = false, length = 32)
    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    @Basic
    @Column(name = "hostname", nullable = false, length = 32)
    public String getHostname() {
        return hostname;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    @Basic
    @Column(name = "db_port", nullable = false)
    public int getDbPort() {
        return dbPort;
    }

    public void setDbPort(int dbPort) {
        this.dbPort = dbPort;
    }

    @Basic
    @Column(name = "username", nullable = false, length = 10)
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    @Basic
    @Column(name = "db_password", nullable = false, length = 10)
    public String getDbPassword() {
        return dbPassword;
    }

    public void setDbPassword(String dbPassword) {
        this.dbPassword = dbPassword;
    }

    @Basic
    @Column(name = "db_name", nullable = false, length = 10)
    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    @Basic
    @Column(name = "annotation", nullable = true, length = 10)
    public String getAnnotation() {
        return annotation;
    }

    public void setAnnotation(String annotation) {
        this.annotation = annotation;
    }

    @Basic
    @Column(name = "db_desc", nullable = true, length = 20)
    public String getDbDesc() {
        return dbDesc;
    }

    public void setDbDesc(String dbDesc) {
        this.dbDesc = dbDesc;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DataSourceModel that = (DataSourceModel) o;
        return dbPort == that.dbPort &&
                Objects.equals(dbId, that.dbId) &&
                Objects.equals(hostname, that.hostname) &&
                Objects.equals(username, that.username) &&
                Objects.equals(dbPassword, that.dbPassword) &&
                Objects.equals(dbName, that.dbName) &&
                Objects.equals(annotation, that.annotation) &&
                Objects.equals(dbDesc, that.dbDesc);
    }

    @Override
    public int hashCode() {

        return Objects.hash(dbId, hostname, dbPort, username, dbPassword, dbName, annotation, dbDesc);
    }
}
