package db.model.bilibili;

import db.annotation.HuaWeiCloud;
import db.annotation.TableInfo;
import db.model.AbstractModel;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Objects;

@HuaWeiCloud
@Entity
@Table(name = "data" )
@TableInfo(comment = "历史接口")
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public class DataModel extends AbstractModel {
    private int cid;
    private Integer aid;
    private String author;
    private String backupVid;
    private String cache;
    private String cover;
    private Integer dispatch;
    private Integer dispatchServers;
    private Byte dpDone;
    private Byte dpDoneFlv;
    private Byte dpDoneHdmp4;
    private Byte dpDoneMp4;
    private Double duration;
    private Integer files;
    private String letvAddr;
    private Integer letvVid;
    private String letvVu;
    private Integer mid;
    private Integer page;
    private Integer storage;
    private Integer storageServer;
    private String subtitle;
    private String title;
    private String type;
    private Integer upload;
    private Integer uploadMeta;
    private String vid;
    private Integer vp;
    private Integer typeId;


    @Id
    @Column(name = "cid")
    public int getCid() {
        return cid;
    }

    public void setCid(int cid) {
        this.cid = cid;
    }

    @Basic
    @Column(name = "aid")
    public Integer getAid() {
        return aid;
    }

    public void setAid(Integer aid) {
        this.aid = aid;
    }

    @Basic
    @Column(name = "author")
    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    @Basic
    @Column(name = "backup_vid")
    public String getBackupVid() {
        return backupVid;
    }

    public void setBackupVid(String backupVid) {
        this.backupVid = backupVid;
    }

    @Basic
    @Column(name = "cache")
    public String getCache() {
        return cache;
    }

    public void setCache(String cache) {
        this.cache = cache;
    }

    @Basic
    @Column(name = "cover")
    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    @Basic
    @Column(name = "dispatch")
    public Integer getDispatch() {
        return dispatch;
    }

    public void setDispatch(Integer dispatch) {
        this.dispatch = dispatch;
    }

    @Basic
    @Column(name = "dispatch_servers")
    public Integer getDispatchServers() {
        return dispatchServers;
    }

    public void setDispatchServers(Integer dispatchServers) {
        this.dispatchServers = dispatchServers;
    }

    @Basic
    @Column(name = "dp_done")
    public Byte getDpDone() {
        return dpDone;
    }

    public void setDpDone(Byte dpDone) {
        this.dpDone = dpDone;
    }

    @Basic
    @Column(name = "dp_done_flv")
    public Byte getDpDoneFlv() {
        return dpDoneFlv;
    }

    public void setDpDoneFlv(Byte dpDoneFlv) {
        this.dpDoneFlv = dpDoneFlv;
    }

    @Basic
    @Column(name = "dp_done_hdmp4")
    public Byte getDpDoneHdmp4() {
        return dpDoneHdmp4;
    }

    public void setDpDoneHdmp4(Byte dpDoneHdmp4) {
        this.dpDoneHdmp4 = dpDoneHdmp4;
    }

    @Basic
    @Column(name = "dp_done_mp4")
    public Byte getDpDoneMp4() {
        return dpDoneMp4;
    }

    public void setDpDoneMp4(Byte dpDoneMp4) {
        this.dpDoneMp4 = dpDoneMp4;
    }

    @Basic
    @Column(name = "duration")
    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    @Basic
    @Column(name = "files")
    public Integer getFiles() {
        return files;
    }

    public void setFiles(Integer files) {
        this.files = files;
    }

    @Basic
    @Column(name = "letv_addr")
    public String getLetvAddr() {
        return letvAddr;
    }

    public void setLetvAddr(String letvAddr) {
        this.letvAddr = letvAddr;
    }

    @Basic
    @Column(name = "letv_vid")
    public Integer getLetvVid() {
        return letvVid;
    }

    public void setLetvVid(Integer letvVid) {
        this.letvVid = letvVid;
    }

    @Basic
    @Column(name = "letv_vu")
    public String getLetvVu() {
        return letvVu;
    }

    public void setLetvVu(String letvVu) {
        this.letvVu = letvVu;
    }

    @Basic
    @Column(name = "mid")
    public Integer getMid() {
        return mid;
    }

    public void setMid(Integer mid) {
        this.mid = mid;
    }

    @Basic
    @Column(name = "page")
    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    @Basic
    @Column(name = "storage")
    public Integer getStorage() {
        return storage;
    }

    public void setStorage(Integer storage) {
        this.storage = storage;
    }

    @Basic
    @Column(name = "storage_server")
    public Integer getStorageServer() {
        return storageServer;
    }

    public void setStorageServer(Integer storageServer) {
        this.storageServer = storageServer;
    }

    @Basic
    @Column(name = "subtitle")
    public String getSubtitle() {
        return subtitle;
    }

    public void setSubtitle(String subtitle) {
        this.subtitle = subtitle;
    }

    @Basic
    @Column(name = "title")
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Basic
    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Basic
    @Column(name = "upload")
    public Integer getUpload() {
        return upload;
    }

    public void setUpload(Integer upload) {
        this.upload = upload;
    }

    @Basic
    @Column(name = "upload_meta")
    public Integer getUploadMeta() {
        return uploadMeta;
    }

    public void setUploadMeta(Integer uploadMeta) {
        this.uploadMeta = uploadMeta;
    }

    @Basic
    @Column(name = "vid")
    public String getVid() {
        return vid;
    }

    public void setVid(String vid) {
        this.vid = vid;
    }

    @Basic
    @Column(name = "vp")
    public Integer getVp() {
        return vp;
    }

    public void setVp(Integer vp) {
        this.vp = vp;
    }

    @Basic
    @Column(name = "type_id")
    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DataModel dataModel = (DataModel) o;
        return cid == dataModel.cid &&
                Objects.equals(aid, dataModel.aid) &&
                Objects.equals(author, dataModel.author) &&
                Objects.equals(backupVid, dataModel.backupVid) &&
                Objects.equals(cache, dataModel.cache) &&
                Objects.equals(cover, dataModel.cover) &&
                Objects.equals(dispatch, dataModel.dispatch) &&
                Objects.equals(dispatchServers, dataModel.dispatchServers) &&
                Objects.equals(dpDone, dataModel.dpDone) &&
                Objects.equals(dpDoneFlv, dataModel.dpDoneFlv) &&
                Objects.equals(dpDoneHdmp4, dataModel.dpDoneHdmp4) &&
                Objects.equals(dpDoneMp4, dataModel.dpDoneMp4) &&
                Objects.equals(duration, dataModel.duration) &&
                Objects.equals(files, dataModel.files) &&
                Objects.equals(letvAddr, dataModel.letvAddr) &&
                Objects.equals(letvVid, dataModel.letvVid) &&
                Objects.equals(letvVu, dataModel.letvVu) &&
                Objects.equals(mid, dataModel.mid) &&
                Objects.equals(page, dataModel.page) &&
                Objects.equals(storage, dataModel.storage) &&
                Objects.equals(storageServer, dataModel.storageServer) &&
                Objects.equals(subtitle, dataModel.subtitle) &&
                Objects.equals(title, dataModel.title) &&
                Objects.equals(type, dataModel.type) &&
                Objects.equals(upload, dataModel.upload) &&
                Objects.equals(uploadMeta, dataModel.uploadMeta) &&
                Objects.equals(vid, dataModel.vid) &&
                Objects.equals(vp, dataModel.vp) &&
                Objects.equals(typeId, dataModel.typeId);
    }

    @Override
    public int hashCode() {

        return Objects.hash(cid, aid, author, backupVid, cache, cover, dispatch, dispatchServers, dpDone, dpDoneFlv, dpDoneHdmp4, dpDoneMp4, duration, files, letvAddr, letvVid, letvVu, mid, page, storage, storageServer, subtitle, title, type, upload, uploadMeta, vid, vp, typeId);
    }

    @Override
    public Serializable primaryKey() {
        return getCid();
    }

    @HuaWeiCloud
    @Entity
    @Table(name = "data_0")
    public static class DataModel0 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_1")
    public static class DataModel1 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_3")
    public static class DataModel3 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_4")
    public static class DataModel4 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_5")
    public static class DataModel5 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_11")
    public static class DataModel11 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_12")
    public static class DataModel12 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_13")
    public static class DataModel13 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_15")
    public static class DataModel15 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_16")
    public static class DataModel16 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_17")
    public static class DataModel17 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_18")
    public static class DataModel18 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_19")
    public static class DataModel19 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_20")
    public static class DataModel20 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_21")
    public static class DataModel21 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_22")
    public static class DataModel22 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_23")
    public static class DataModel23 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_24")
    public static class DataModel24 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_25")
    public static class DataModel25 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_26")
    public static class DataModel26 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_27")
    public static class DataModel27 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_28")
    public static class DataModel28 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_29")
    public static class DataModel29 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_30")
    public static class DataModel30 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_31")
    public static class DataModel31 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_32")
    public static class DataModel32 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_33")
    public static class DataModel33 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_34")
    public static class DataModel34 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_37")
    public static class DataModel37 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_39")
    public static class DataModel39 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_40")
    public static class DataModel40 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_41")
    public static class DataModel41 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_43")
    public static class DataModel43 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_44")
    public static class DataModel44 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_45")
    public static class DataModel45 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_46")
    public static class DataModel46 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_47")
    public static class DataModel47 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_48")
    public static class DataModel48 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_49")
    public static class DataModel49 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_50")
    public static class DataModel50 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_51")
    public static class DataModel51 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_52")
    public static class DataModel52 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_53")
    public static class DataModel53 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_54")
    public static class DataModel54 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_55")
    public static class DataModel55 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_56")
    public static class DataModel56 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_57")
    public static class DataModel57 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_58")
    public static class DataModel58 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_59")
    public static class DataModel59 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_60")
    public static class DataModel60 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_61")
    public static class DataModel61 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_63")
    public static class DataModel63 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_64")
    public static class DataModel64 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_65")
    public static class DataModel65 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_66")
    public static class DataModel66 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_67")
    public static class DataModel67 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_70")
    public static class DataModel70 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_71")
    public static class DataModel71 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_72")
    public static class DataModel72 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_73")
    public static class DataModel73 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_74")
    public static class DataModel74 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_75")
    public static class DataModel75 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_76")
    public static class DataModel76 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_77")
    public static class DataModel77 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_78")
    public static class DataModel78 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_79")
    public static class DataModel79 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_80")
    public static class DataModel80 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_81")
    public static class DataModel81 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_82")
    public static class DataModel82 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_83")
    public static class DataModel83 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_85")
    public static class DataModel85 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_86")
    public static class DataModel86 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_87")
    public static class DataModel87 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_88")
    public static class DataModel88 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_89")
    public static class DataModel89 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_90")
    public static class DataModel90 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_91")
    public static class DataModel91 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_92")
    public static class DataModel92 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_94")
    public static class DataModel94 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_95")
    public static class DataModel95 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_96")
    public static class DataModel96 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_97")
    public static class DataModel97 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_98")
    public static class DataModel98 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_99")
    public static class DataModel99 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_100")
    public static class DataModel100 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_101")
    public static class DataModel101 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_102")
    public static class DataModel102 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_103")
    public static class DataModel103 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_104")
    public static class DataModel104 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_105")
    public static class DataModel105 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_107")
    public static class DataModel107 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_108")
    public static class DataModel108 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_110")
    public static class DataModel110 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_111")
    public static class DataModel111 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_112")
    public static class DataModel112 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_113")
    public static class DataModel113 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_114")
    public static class DataModel114 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_115")
    public static class DataModel115 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_116")
    public static class DataModel116 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_117")
    public static class DataModel117 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_118")
    public static class DataModel118 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_119")
    public static class DataModel119 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_120")
    public static class DataModel120 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_121")
    public static class DataModel121 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_122")
    public static class DataModel122 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_123")
    public static class DataModel123 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_124")
    public static class DataModel124 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_125")
    public static class DataModel125 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_126")
    public static class DataModel126 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_127")
    public static class DataModel127 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_128")
    public static class DataModel128 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_130")
    public static class DataModel130 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_131")
    public static class DataModel131 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_132")
    public static class DataModel132 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_133")
    public static class DataModel133 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_134")
    public static class DataModel134 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_135")
    public static class DataModel135 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_136")
    public static class DataModel136 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_137")
    public static class DataModel137 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_138")
    public static class DataModel138 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_139")
    public static class DataModel139 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_140")
    public static class DataModel140 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_141")
    public static class DataModel141 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_142")
    public static class DataModel142 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_143")
    public static class DataModel143 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_144")
    public static class DataModel144 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_145")
    public static class DataModel145 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_146")
    public static class DataModel146 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_147")
    public static class DataModel147 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_151")
    public static class DataModel151 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_152")
    public static class DataModel152 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_153")
    public static class DataModel153 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_154")
    public static class DataModel154 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_155")
    public static class DataModel155 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_156")
    public static class DataModel156 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_157")
    public static class DataModel157 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_158")
    public static class DataModel158 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_159")
    public static class DataModel159 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_160")
    public static class DataModel160 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_161")
    public static class DataModel161 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_162")
    public static class DataModel162 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_163")
    public static class DataModel163 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_164")
    public static class DataModel164 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_165")
    public static class DataModel165 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_166")
    public static class DataModel166 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_168")
    public static class DataModel168 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_169")
    public static class DataModel169 extends DataModel{}

    @HuaWeiCloud
    @Entity
    @Table(name = "data_170")
    public static class DataModel170 extends DataModel{}




}

